Package org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.PathExpressionConstraintElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.PathExpressionConstraintElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.PathExpressionConstraintElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PathExpressionConstraintElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Keyword` | `getCommaKeyword_5()` |
    `org.eclipse.xtext.Assignment` | `getDstAssignment_6()` |
    `org.eclipse.xtext.RuleCall` | `getDstValueReferenceParserRuleCall_6_0()` |
    `org.eclipse.xtext.Assignment` | `getEdgeTypesAssignment_1_1()` |
    `org.eclipse.xtext.RuleCall` | `getEdgeTypesRefTypeParserRuleCall_1_1_0()` |
    `org.eclipse.xtext.Keyword` | `getFullStopKeyword_1_0()` |
    `org.eclipse.xtext.Group` | `getGroup()` |
    `org.eclipse.xtext.Group` | `getGroup_1()` |
    `org.eclipse.xtext.Keyword` | `getLeftParenthesisKeyword_3()` |
    `org.eclipse.xtext.Keyword` | `getRightParenthesisKeyword_7()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |
    `org.eclipse.xtext.Assignment` | `getSourceTypeAssignment_0()` |
    `org.eclipse.xtext.RuleCall` | `getSourceTypeTypeParserRuleCall_0_0()` |
    `org.eclipse.xtext.Assignment` | `getSrcAssignment_4()` |
    `org.eclipse.xtext.RuleCall` | `getSrcVariableReferenceParserRuleCall_4_0()` |
    `org.eclipse.xtext.Assignment` | `getTransitiveAssignment_2()` |
    `org.eclipse.xtext.RuleCall` | `getTransitiveClosureTypeEnumRuleCall_2_0()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PathExpressionConstraintElements

          public PathExpressionConstraintElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getSourceTypeAssignment_0

          public org.eclipse.xtext.Assignment getSourceTypeAssignment_0()

    - #### getSourceTypeTypeParserRuleCall_0_0

          public org.eclipse.xtext.RuleCall getSourceTypeTypeParserRuleCall_0_0()

    - #### getGroup_1

          public org.eclipse.xtext.Group getGroup_1()

    - #### getFullStopKeyword_1_0

          public org.eclipse.xtext.Keyword getFullStopKeyword_1_0()

    - #### getEdgeTypesAssignment_1_1

          public org.eclipse.xtext.Assignment getEdgeTypesAssignment_1_1()

    - #### getEdgeTypesRefTypeParserRuleCall_1_1_0

          public org.eclipse.xtext.RuleCall getEdgeTypesRefTypeParserRuleCall_1_1_0()

    - #### getTransitiveAssignment_2

          public org.eclipse.xtext.Assignment getTransitiveAssignment_2()

    - #### getTransitiveClosureTypeEnumRuleCall_2_0

          public org.eclipse.xtext.RuleCall getTransitiveClosureTypeEnumRuleCall_2_0()

    - #### getLeftParenthesisKeyword_3

          public org.eclipse.xtext.Keyword getLeftParenthesisKeyword_3()

    - #### getSrcAssignment_4

          public org.eclipse.xtext.Assignment getSrcAssignment_4()

    - #### getSrcVariableReferenceParserRuleCall_4_0

          public org.eclipse.xtext.RuleCall getSrcVariableReferenceParserRuleCall_4_0()

    - #### getCommaKeyword_5

          public org.eclipse.xtext.Keyword getCommaKeyword_5()

    - #### getDstAssignment_6

          public org.eclipse.xtext.Assignment getDstAssignment_6()

    - #### getDstValueReferenceParserRuleCall_6_0

          public org.eclipse.xtext.RuleCall getDstValueReferenceParserRuleCall_6_0()

    - #### getRightParenthesisKeyword_7

          public org.eclipse.xtext.Keyword getRightParenthesisKeyword_7()